arodygin/datatables-bundle

This package is abandoned and no longer maintained. The author suggests using the webinarium/datatables-bundle package instead.

DataTables Symfony bundle

2.3.3 2019-10-10 22:45 UTC

README

PHP Latest Stable Version Build Status Code Coverage Scrutinizer Code Quality

DataTables Symfony bundle

This bundle helps to implement data source actions for DataTables JavaScript plugin when it's used in server-side processing mode.

Requirements

PHP needs to be a minimum version of PHP 7.0.

Symfony must be of 2.7 or above.

Installation

Step 1: Download the Bundle

Open a command console, enter your project directory and execute the following command to download the latest stable version of this bundle:

composer require webinarium/datatables-bundle

This command requires you to have Composer installed globally, as explained in the installation chapter of the Composer documentation.

Step 2: Enable the Bundle

If you are using Symfony 3 or below, enable the bundle by adding it to the list of registered bundles in the app/AppKernel.php file of your project:

public function registerBundles()
{
    $bundles = [
        // ...
        new DataTables\DataTablesBundle(),
    ];
}

Development

./vendor/bin/php-cs-fixer fix
./vendor/bin/phpunit --coverage-html=vendor/coverage

Usage

Please see the complete usage example here.